# classes/phing/tasks/system/ConditionTask.php

<condition> task as a generalization of <available>

This task supports boolean logic as well as pluggable conditions to decide, whether a property should be set.

This task does not extend Task to take advantage of ConditionBase.

access
  public
author
  Andreas Aderhold
copyright
  © 2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system
version
  $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $

## \ConditionTask
jump to top

<condition> task as a generalization of <available>

This task supports boolean logic as well as pluggable conditions to decide, whether a property should be set.

This task does not extend Task to take advantage of ConditionBase.

Extends from
  \ConditionBase
access
  public
author
  Andreas Aderhold
copyright
  © 2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system
version
  $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $

### Properties

`$property= ''`
Details

Type

`$value= 'true'`
Default value `true` Details

Type

### Methods

`main( ) :`
See whether our nested condition holds and set the property.
`setProperty( $p ) :`
The name of the property to set. Required.
Parameters

Name | Type | Description
--- | --- | ---
$p |  |

`setValue( $v ) :`
The value for the property to set. Defaults to "true".
Parameters

Name | Type | Description
--- | --- | ---
$v |  |

Documentation was generated by DocBlox 0.13.1.